org.apache.mina.transport.socket.nio

## Class NioProcessor.IoSessionIterator<NioSession>

- java.lang.Object
- - org.apache.mina.transport.socket.nio.NioProcessor.IoSessionIterator<NioSession>

- All Implemented Interfaces:
    Iterator<NioSession>
  Enclosing class:
    NioProcessor

      protected static class NioProcessor.IoSessionIterator<NioSession>
      extends Object
      implements Iterator<NioSession>

  An encapsulating iterator around the `Selector.selectedKeys()` or the `Selector.keys()` iterator;

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `NioSession` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<NioSession>`

    - #### next

          public NioSession next()

      Specified by:
        `next` in interface `Iterator<NioSession>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<NioSession>`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.